# MavenPublishPlugin

abstract class MavenPublishPlugin : Plugin<T>

Adds the ability to publish in the Maven format to Maven repositories.

#### Since

1.4

#### See also

<a href="https://docs.gradle.org/current/userguide/publishing_maven.html">Maven Publishing reference</a>

## Constructors

MavenPublishPlugin
Link copied to clipboard
@Inject
constructor(instantiatorFactory: InstantiatorFactory, objectFactory: ObjectFactory, dependencyMetaDataProvider: DependencyMetaDataProvider, fileResolver: FileResolver, taskDependencyFactory: TaskDependencyFactory)

## Properties

PUBLISH_LOCAL_LIFECYCLE_TASK_NAME
Link copied to clipboard
val PUBLISH_LOCAL_LIFECYCLE_TASK_NAME: String = "publishToMavenLocal"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)